package mysql-common 5.8+1.0.4 failed to install/upgrade: geïnstalleerd mysql-common pakket post-installation script subproces meldde een fout afsluitstatus 2

Bug #1790119 reported by Stoltz on 2018-08-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mysql-defaults (Ubuntu)
Undecided
Unassigned

Bug Description

lex@lex-hp-compaq:~$ sudo apt-get update
[sudo] wachtwoord voor lex:

Sorry, probeer opnieuw
[sudo] wachtwoord voor lex:
Sorry, probeer opnieuw
[sudo] wachtwoord voor lex:
Geraakt:1 http://nl.archive.ubuntu.com/ubuntu bionic InRelease
Ophalen:2 http://nl.archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Geraakt:3 http://nl.archive.ubuntu.com/ubuntu bionic-backports InRelease
Ophalen:4 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
Ophalen:5 http://nl.archive.ubuntu.com/ubuntu bionic-updates/main Sources [160 kB]
Ophalen:6 http://nl.archive.ubuntu.com/ubuntu bionic-updates/universe Sources [58,5 kB]
Ophalen:7 http://nl.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [273 kB]
Ophalen:8 http://nl.archive.ubuntu.com/ubuntu bionic-updates/main Translation-en [115 kB]
Ophalen:9 http://nl.archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [173 kB]
Ophalen:10 http://security.ubuntu.com/ubuntu bionic-security/main Sources [46,1 kB]
Ophalen:11 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages [129 kB]
Ophalen:12 http://security.ubuntu.com/ubuntu bionic-security/main Translation-en [61,3 kB]
1187 kB opgehaald in 1s (867 kB/s)
Pakketlijsten worden ingelezen... Klaar
lex@lex-hp-compaq:~$ sudo apt-get install mysql-server
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
mysql-server is reeds de nieuwste versie (5.7.23-0ubuntu0.18.04.1).
0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 7 niet opgewaardeerd.
2 niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/3266 kB aan archieven opgehaald worden.
Na deze bewerking zal er 0 B extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] j
dpkg: vereistenproblemen verhinderen de configuratie van mysql-server:
 mysql-server is afhankelijk van mysql-server-5.7; maar:
  Pakket mysql-server-5.7 is niet geïnstalleerd.

dpkg: fout bij verwerken van pakket mysql-server (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Er is geen apport-verslag weggeschreven omdat de foutmelding aangeeft dat de fout het gevolg is van een eerdere mislukking.
                                           Fouten gevonden tijdens verwerken van:
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
lex@lex-hp-compaq:~$ sudo mv /etc/mysql/my.cnf /etc/mysql/my.cnf.bak
lex@lex-hp-compaq:~$ sudo rm -r /etc/mysql/mysql.conf.d/
lex@lex-hp-compaq:~$ sudo find / -name my.cnf
/etc/alternatives/my.cnf
/var/lib/dpkg/alternatives/my.cnf
find: ‘/proc/2074/task/2074/net’: Ongeldig argument
find: ‘/proc/2074/net’: Ongeldig argument
find: ‘/proc/2075/task/2075/net’: Ongeldig argument
find: ‘/proc/2075/net’: Ongeldig argument
/home/lex/Downloads/my.cnf
/home/lex/Downloads/bak/my.cnf
find: ‘/run/user/1000/gvfs’: Toegang geweigerd
/media/lex/Magazijn/ZAndere/Ubuntuserver/mysql/my.cnf
lex@lex-hp-compaq:~$ sudo mc

lex@lex-hp-compaq:~$ sudo mv /etc/mysql/debian.cnf /etc/mysql/debian.cnf.bak
lex@lex-hp-compaq:~$ sudo apt purge mysql-server mysql-server-5.7 mysql-server-core-5.7
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
De volgende pakketten zullen VERWIJDERD worden:
  mysql-server* mysql-server-5.7* mysql-server-core-5.7*
0 opgewaardeerd, 0 nieuw geïnstalleerd, 3 te verwijderen en 7 niet opgewaardeerd.
2 niet volledig geïnstalleerd of verwijderd.
Na deze bewerking zal er 93,1 MB schijfruimte vrijkomen.
Wilt u doorgaan? [J/n] j
(Database wordt ingelezen ... 510027 bestanden en mappen momenteel geïnstalleerd.)
mysql-server (5.7.23-0ubuntu0.18.04.1) wordt verwijderd ...
dpkg: fout bij verwerken van pakket mysql-server-5.7 (--remove):
 pakket bevindt zich in een erg slechte en inconsistente staat; u zou het
 opnieuw moeten installeren alvorens het te proberen verwijderen.
mysql-server-core-5.7 (5.7.23-0ubuntu0.18.04.1) wordt verwijderd ...
Fouten gevonden tijdens verwerken van:
 mysql-server-5.7
E: Sub-process /usr/bin/dpkg returned an error code (1)
lex@lex-hp-compaq:~$ sudo rm -rf /var/lib/mysql/mysql
lex@lex-hp-compaq:~$ sudo apt-get remove --purge mysql-server mysql-client mysql-common
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
Pakket 'mysql-server' is niet geïnstalleerd, en wordt dus niet verwijderd
U kunt 'apt --fix-broken install' uitvoeren om dit op te lossen.
De volgende pakketten hebben niet-voldane vereisten:
 mysql-client-5.7 : Vereisten: mysql-common (>= 5.5) maar het zal niet geïnstalleerd worden
 mysql-server-5.7 : Voor-Vereisten: mysql-common (>= 5.5) maar het zal niet geïnstalleerd worden
                    Vereisten: mysql-common (>= 5.8+1.0.4~) maar het zal niet geïnstalleerd worden
                    Vereisten: mysql-server-core-5.7 (= 5.7.23-0ubuntu0.18.04.1) maar het zal niet geïnstalleerd worden
E: Er zijn niet-voldane vereisten. U kunt best 'apt --fix-broken install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).
lex@lex-hp-compaq:~$ apt --fix-broken install
E: Kon het vergrendelingsbestand /var/lib/dpkg/lock niet openen - open (13: Toegang geweigerd)
E: Kan de beheersmap (/var/lib/dpkg/) niet vergrendelen. Heeft u beheerdersrechten?
lex@lex-hp-compaq:~$ sudo apt --fix-broken install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  mysql-server-core-5.7
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  mysql-server-core-5.7
0 opgewaardeerd, 1 nieuw geïnstalleerd, 0 te verwijderen en 7 niet opgewaardeerd.
1 niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/11,4 MB aan archieven opgehaald worden.
Na deze bewerking zal er 45,9 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] j
Voorheen niet geselecteerd pakket mysql-server-core-5.7 wordt geselecteerd.
(Database wordt ingelezen ... 509926 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../mysql-server-core-5.7_5.7.23-0ubuntu0.18.04.1_i386.deb wordt voorbereid...
Bezig met uitpakken van mysql-server-core-5.7 (5.7.23-0ubuntu0.18.04.1) ...
Instellen van mysql-server-core-5.7 (5.7.23-0ubuntu0.18.04.1) ...
Bezig met afhandelen van triggers voor man-db (2.8.3-2) ...
lex@lex-hp-compaq:~$ sudo apt-get remove --purge mysql-server mysql-client mysql-common
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
Pakket 'mysql-server' is niet geïnstalleerd, en wordt dus niet verwijderd
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  mysql-client-core-5.7 mysql-server-core-5.7
Gebruik 'sudo apt autoremove' om ze te verwijderen.
De volgende pakketten zullen VERWIJDERD worden:
  mysql-client* mysql-client-5.7* mysql-common* mysql-server-5.7
0 opgewaardeerd, 0 nieuw geïnstalleerd, 4 te verwijderen en 7 niet opgewaardeerd.
1 niet volledig geïnstalleerd of verwijderd.
Na deze bewerking zal er 80,2 MB schijfruimte vrijkomen.
Wilt u doorgaan? [J/n] j
dpkg: fout bij verwerken van pakket mysql-server-5.7 (--remove):
 pakket bevindt zich in een erg slechte en inconsistente staat; u zou het
 opnieuw moeten installeren alvorens het te proberen verwijderen.
(Database wordt ingelezen ... 510023 bestanden en mappen momenteel geïnstalleerd.)
mysql-client (5.7.23-0ubuntu0.18.04.1) wordt verwijderd ...
mysql-client-5.7 (5.7.23-0ubuntu0.18.04.1) wordt verwijderd ...
mysql-common (5.8+1.0.4) wordt verwijderd ...
Fouten gevonden tijdens verwerken van:
 mysql-server-5.7
E: Sub-process /usr/bin/dpkg returned an error code (1)
lex@lex-hp-compaq:~$ sudo apt-get autoremove
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
U kunt 'apt --fix-broken install' uitvoeren om dit op te lossen.
De volgende pakketten hebben niet-voldane vereisten:
 mysql-server-5.7 : Voor-Vereisten: mysql-common (>= 5.5) maar het is niet geïnstalleerd
                    Vereisten: mysql-client-5.7 (>= 5.7.23-0ubuntu0.18.04.1) maar het is niet geïnstalleerd
                    Vereisten: mysql-common (>= 5.8+1.0.4~) maar het is niet geïnstalleerd
E: Er zijn niet-voldane vereisten. U kunt best 'apt --fix-broken install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).
lex@lex-hp-compaq:~$ sudo apt --fix-broken install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  mysql-client-5.7 mysql-common
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  mysql-client-5.7 mysql-common
0 opgewaardeerd, 2 nieuw geïnstalleerd, 0 te verwijderen en 7 niet opgewaardeerd.
1 niet volledig geïnstalleerd of verwijderd.
Er moeten 7308 B/5633 kB aan archieven opgehaald worden.
Na deze bewerking zal er 32,9 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] j
Ophalen:1 http://nl.archive.ubuntu.com/ubuntu bionic/main i386 mysql-common all 5.8+1.0.4 [7308 B]
7308 B opgehaald in 0s (79,8 kB/s)
(Database wordt ingelezen ... 509977 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../mysql-common_5.8+1.0.4_all.deb wordt voorbereid...
Bezig met uitpakken van mysql-common (5.8+1.0.4) ...
Voorheen niet geselecteerd pakket mysql-client-5.7 wordt geselecteerd.
Uitpakken van .../mysql-client-5.7_5.7.23-0ubuntu0.18.04.1_i386.deb wordt voorbereid...
Bezig met uitpakken van mysql-client-5.7 (5.7.23-0ubuntu0.18.04.1) ...
Instellen van mysql-common (5.8+1.0.4) ...
update-alternatives: fout: de verwijzing naar alternatief /etc/mysql/my.cnf wordt reeds door my.cnf.bak beheerd
dpkg: fout bij verwerken van pakket mysql-common (--configure):
 geïnstalleerd mysql-common pakket post-installation script subproces meldde een fout afsluitstatus 2
Fouten gevonden tijdens verwerken van:
 mysql-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
lex@lex-hp-compaq:~$

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: mysql-common 5.8+1.0.4
ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
Uname: Linux 4.15.0-33-generic i686
ApportVersion: 2.20.9-0ubuntu7.2
AptOrdering:
 mysql-common:i386: Install
 mysql-client-5.7:i386: Install
 mysql-common:i386: Configure
 NULL: ConfigurePending
Architecture: i386
Date: Fri Aug 31 12:35:56 2018
Dependencies:

ErrorMessage: geïnstalleerd mysql-common pakket post-installation script subproces meldde een fout afsluitstatus 2
InstallationDate: Installed on 2016-02-01 (941 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release i386 (20140722.2)
PackageArchitecture: all
Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 3.6.5-3ubuntu1
PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 2.7.15~rc1-1
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu2
 apt 1.6.3ubuntu0.1
SourcePackage: mysql-defaults
Title: package mysql-common 5.8+1.0.4 failed to install/upgrade: geïnstalleerd mysql-common pakket post-installation script subproces meldde een fout afsluitstatus 2
UpgradeStatus: No upgrade log present (probably fresh install)

Stoltz (stoltz) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers